Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Log4JLogTrackPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.LogTrackPlugin
              org.hyperic.hq.product.LogFileTrackPlugin
                  org.hyperic.hq.product.LogFileTailPlugin
                      org.hyperic.hq.product.Log4JLogTrackPlugin

    public class Log4JLogTrackPlugin

extends LogFileTailPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.LogFileTrackPlugin
`PROP_FILES_PLATFORM, PROP_FILES_SERVER, PROP_FILES_SERVICE`

Fields inherited from class org.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_ANY, LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Log4JLogTrackPlugin()`

Method Summary
`String[]` | `getLogLevelAliases()`
`TrackEvent` | `processLine(org.hyperic.sigar.FileInfo info, String line)`

Methods inherited from class org.hyperic.hq.product.LogFileTailPlugin
`configure, shutdown`

Methods inherited from class org.hyperic.hq.product.LogFileTrackPlugin
`getConfigSchema, getDefaultLogFile, getFiles, getFilesOption`

Methods inherited from class org.hyperic.hq.product.LogTrackPlugin
`getEnableOption, getExcludeOption, getIncludeOption, getLogLevel, getLogLevel, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4JLogTrackPlugin

    public Log4JLogTrackPlugin()

Method Detail

### getLogLevelAliases

    public String[] getLogLevelAliases()

  Overrides:
    `getLogLevelAliases` in class `LogTrackPlugin`

### processLine

    public TrackEvent processLine(org.hyperic.sigar.FileInfo info,
                                  String line)

  Overrides:
    `processLine` in class `LogFileTailPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.